package cn.iocoder.yudao.framework.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 通用状态枚举
 *
 * @author 芋道源码
 */
@Getter
@AllArgsConstructor
public enum NodeTypeEnum {
    ROUTE(1, "路径点位"),
    WARE(2, "库位点"),
    DEVICE(3, "设备点"),
    PARKING(4, "停车点"),
    CHANGE(5, "区域变更点"),
    WAIT(6, "等待点"),
    TEXT(7, "文字点"),
    CHECK(8, "检测点");

    /**
     * 类型
     */
    private final Integer type;
    /**
     * 说明
     */
    private final String name;

    public static List<Integer> getAllTypes() {
        return Arrays.stream(NodeTypeEnum.values()).map(NodeTypeEnum::getType).collect(Collectors.toList());
    }

}
